--- old/usr/src/uts/common/fs/dcfs/dc_vnops.c	sam. juil. 16 15:14:02 2016
+++ new/usr/src/uts/common/fs/dcfs/dc_vnops.c	sam. juil. 16 15:14:02 2016
@@ -172,7 +172,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, (void *)&modlfs, NULL
+	MODREV_1, { (void *)&modlfs, NULL }
 };
 
 int
@@ -221,24 +221,24 @@
 struct vnodeops *dc_vnodeops;
 
 const fs_operation_def_t dc_vnodeops_template[] = {
-	VOPNAME_OPEN,			{ .vop_open = dc_open },
-	VOPNAME_CLOSE,			{ .vop_close = dc_close },
-	VOPNAME_READ,			{ .vop_read = dc_read },
-	VOPNAME_GETATTR,		{ .vop_getattr =  dc_getattr },
-	VOPNAME_SETATTR,		{ .vop_setattr = dc_setattr },
-	VOPNAME_ACCESS,			{ .vop_access = dc_access },
-	VOPNAME_FSYNC,			{ .vop_fsync = dc_fsync },
-	VOPNAME_INACTIVE,		{ .vop_inactive = dc_inactive },
-	VOPNAME_FID,			{ .vop_fid = dc_fid },
-	VOPNAME_SEEK,			{ .vop_seek = dc_seek },
-	VOPNAME_FRLOCK,			{ .vop_frlock = dc_frlock },
-	VOPNAME_REALVP,			{ .vop_realvp = dc_realvp },
-	VOPNAME_GETPAGE,		{ .vop_getpage = dc_getpage },
-	VOPNAME_PUTPAGE,		{ .vop_putpage = dc_putpage },
-	VOPNAME_MAP,			{ .vop_map = dc_map },
-	VOPNAME_ADDMAP,			{ .vop_addmap = dc_addmap },
-	VOPNAME_DELMAP,			{ .vop_delmap = dc_delmap },
-	NULL,				NULL
+	{ VOPNAME_OPEN,			{ .vop_open = dc_open } },
+	{ VOPNAME_CLOSE,		{ .vop_close = dc_close } },
+	{ VOPNAME_READ,			{ .vop_read = dc_read } },
+	{ VOPNAME_GETATTR,		{ .vop_getattr =  dc_getattr } },
+	{ VOPNAME_SETATTR,		{ .vop_setattr = dc_setattr } },
+	{ VOPNAME_ACCESS,		{ .vop_access = dc_access } },
+	{ VOPNAME_FSYNC,		{ .vop_fsync = dc_fsync } },
+	{ VOPNAME_INACTIVE,		{ .vop_inactive = dc_inactive } },
+	{ VOPNAME_FID,			{ .vop_fid = dc_fid } },
+	{ VOPNAME_SEEK,			{ .vop_seek = dc_seek } },
+	{ VOPNAME_FRLOCK,		{ .vop_frlock = dc_frlock } },
+	{ VOPNAME_REALVP,		{ .vop_realvp = dc_realvp } },
+	{ VOPNAME_GETPAGE,		{ .vop_getpage = dc_getpage } },
+	{ VOPNAME_PUTPAGE,		{ .vop_putpage = dc_putpage } },
+	{ VOPNAME_MAP,			{ .vop_map = dc_map } },
+	{ VOPNAME_ADDMAP,		{ .vop_addmap = dc_addmap } },
+	{ VOPNAME_DELMAP,		{ .vop_delmap = dc_delmap } },
+	{ NULL,				{ NULL } }
 };
 
 /*ARGSUSED*/
@@ -883,7 +883,7 @@
 dcinit(int fstype, char *name)
 {
 	static const fs_operation_def_t dc_vfsops_template[] = {
-		NULL, NULL
+		{ NULL, { NULL } }
 	};
 	int error;
 	major_t dev;
